Index: branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1116)
+++ branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1117)
@@ -188,10 +188,8 @@
 #endif
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
     repFormat->getConformanceWindowVps().setWindow                        ( m_acLayerCfg[mapIdxToLayer[idx]].m_confWinLeft,                                                                             
                                                                             m_acLayerCfg[mapIdxToLayer[idx]].m_confWinRight, 
                                                                             m_acLayerCfg[mapIdxToLayer[idx]].m_confWinTop,
                                                                             m_acLayerCfg[mapIdxToLayer[idx]].m_confWinBottom );
-#endif
 
 #if HIGHER_LAYER_IRAP_SKIP_FLAG
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPic.cpp	(revision 1117)
@@ -82,20 +82,8 @@
   if (!bIsVirtual)
   {
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
     m_apcPicYuv[PIC_YUV_ORG]  = new TComPicYuv;  m_apcPicYuv[PIC_YUV_ORG]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, &conformanceWindow );
-#else
-    m_apcPicYuv[PIC_YUV_ORG]  = new TComPicYuv;  m_apcPicYuv[PIC_YUV_ORG]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, pcSps );
-#endif
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
     m_apcPicYuv[PIC_YUV_TRUE_ORG]  = new TComPicYuv;  m_apcPicYuv[PIC_YUV_TRUE_ORG]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, &conformanceWindow );
-#else
-    m_apcPicYuv[PIC_YUV_TRUE_ORG]  = new TComPicYuv;  m_apcPicYuv[PIC_YUV_TRUE_ORG]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, pcSps );
-#endif
-  }
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
+  }
   m_apcPicYuv[PIC_YUV_REC]  = new TComPicYuv;  m_apcPicYuv[PIC_YUV_REC]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, &conformanceWindow );
-#else
-  m_apcPicYuv[PIC_YUV_REC]  = new TComPicYuv;  m_apcPicYuv[PIC_YUV_REC]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, pcSps );
-#endif
 
   for( Int i = 0; i < MAX_LAYERS; i++ )
@@ -103,9 +91,5 @@
     if( m_bSpatialEnhLayer[i] )
     {
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
       m_pcFullPelBaseRec[i] = new TComPicYuv;  m_pcFullPelBaseRec[i]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, &conformanceWindow );
-#else
-      m_pcFullPelBaseRec[i] = new TComPicYuv;  m_pcFullPelBaseRec[i]->create( iWidth, iHeight, chromaFormatIDC, uiMaxWidth, uiMaxHeight, uiMaxDepth, pcSps );
-#endif
     }
   }
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.cpp	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.cpp	(revision 1117)
@@ -77,9 +77,5 @@
 
 #if SVC_EXTENSION
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
 Void TComPicYuv::create( const Int iPicWidth, const Int iPicHeight, const ChromaFormat chromaFormatIDC, const UInt uiMaxCUWidth, const UInt uiMaxCUHeight, const UInt uiMaxCUDepth, Window* conformanceWindow )
-#else
-Void TComPicYuv::create( const Int iPicWidth, const Int iPicHeight, const ChromaFormat chromaFormatIDC, const UInt uiMaxCUWidth, const UInt uiMaxCUHeight, const UInt uiMaxCUDepth, TComSPS* pcSps )
-#endif
 #else
 Void TComPicYuv::create( const Int  iPicWidth,    const  Int iPicHeight,    const ChromaFormat chromaFormatIDC,
@@ -92,15 +88,8 @@
   
 #if SVC_EXTENSION
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
   if(conformanceWindow != NULL)
   {
     m_conformanceWindow = *conformanceWindow;
   }
-#else
-  if(pcSps != NULL)
-  {
-    m_conformanceWindow = pcSps->getConformanceWindow();
-  }
-#endif
 #endif
   
Index: branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.h	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComPicYuv.h	(revision 1117)
@@ -98,9 +98,5 @@
   // ------------------------------------------------------------------------------------------------
 #if SVC_EXTENSION
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
   Void  create      ( Int iPicWidth, Int iPicHeight, ChromaFormat chromaFormatIDC, UInt uiMaxCUWidth, UInt uiMaxCUHeight, UInt uiMaxCUDepth, Window* conformanceWindow = NULL);
-#else
-  Void  create      ( Int iPicWidth, Int iPicHeight, ChromaFormat chromaFormatIDC, UInt uiMaxCUWidth, UInt uiMaxCUHeight, UInt uiMaxCUDepth, TComSPS* pcSps = NULL);
-#endif
 #else
   Void          create            (const Int iPicWidth,
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1117)
@@ -3910,5 +3910,4 @@
 }
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
 Window& TComSlice::getConformanceWindow()
 {
@@ -3949,5 +3948,4 @@
 #endif
 }
-#endif
 
 RepFormat::RepFormat()
@@ -3963,5 +3961,5 @@
 , m_bitDepthVpsChroma           (0)
 {}
-#endif
+#endif //REPN_FORMAT_IN_VPS
 
 #if VPS_EXTN_PROFILE_INFO
Index: branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1117)
@@ -525,7 +525,5 @@
   Int  m_bitDepthVpsChroma;             // coded as minus8
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
   Window m_conformanceWindowVps;
-#endif
 
 public:
@@ -561,10 +559,8 @@
   Int  getBitDepthVps(ChannelType type)           { return isLuma(type) ? m_bitDepthVpsLuma : m_bitDepthVpsChroma;   }
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
   Window& getConformanceWindowVps()                           { return  m_conformanceWindowVps;             }
   Void    setConformanceWindowVps(Window& conformanceWindow ) { m_conformanceWindowVps = conformanceWindow; }
-#endif
 };
-#endif
+#endif //REPN_FORMAT_IN_VPS
 
 class TComVPS
@@ -2625,7 +2621,5 @@
   Int  getQpBDOffsetC();
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
   Window& getConformanceWindow();
-#endif
 #endif
 
Index: branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1117)
@@ -195,6 +195,4 @@
 #define Q0195_REP_FORMAT_CLEANUP         1      ///< JCTVC-Q0195: restructureing of rep_format() signaling
 
-#define R0156_CONF_WINDOW_IN_REP_FORMAT  O0096_REP_FORMAT_INDEX ///< JCTVC-R0156: add conformance window cropping offsets to rep_format()
-
 #define RESAMPLING_CONSTRAINT_BUG_FIX    1
 #define O0098_SCALED_REF_LAYER_ID        1      ///< JCTVC-O0098: signal scaled reference id
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1117)
@@ -3629,5 +3629,4 @@
 #endif 
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
   READ_FLAG( uiCode, "conformance_window_vps_flag" );
   if( uiCode != 0) 
@@ -3639,7 +3638,6 @@
     READ_UVLC( uiCode, "conf_win_vps_bottom_offset" );       conf.setWindowBottomOffset( uiCode );
   }
-#endif
-}
-#endif
+}
+#endif //REPN_FORMAT_IN_VPS
 #if VPS_DPB_SIZE_TABLE
 Void TDecCavlc::parseVpsDpbSizeTable( TComVPS *vps )
Index: branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibDecoder/TDecTop.cpp	(revision 1117)
@@ -240,5 +240,5 @@
 {
   Int  numReorderPics[MAX_TLAYER];
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
+#if SVC_EXTENSION
   Window &conformanceWindow = pcSlice->getConformanceWindow();
 #else
@@ -562,21 +562,10 @@
 
       Int  numReorderPics[MAX_TLAYER];
-#if !R0156_CONF_WINDOW_IN_REP_FORMAT
-      Window conformanceWindow;
-#endif
       Window defaultDisplayWindow;
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
 #if AUXILIARY_PICTURES
       pBLPic->create( repFormat->getPicWidthVpsInLumaSamples(), repFormat->getPicHeightVpsInLumaSamples(), repFormat->getChromaFormatVpsIdc(), activeSPS->getMaxCUWidth(), activeSPS->getMaxCUHeight(), activeSPS->getMaxCUDepth(), repFormat->getConformanceWindowVps(), defaultDisplayWindow, numReorderPics, NULL, true);
 #else
       pBLPic->create( repFormat->getPicWidthVpsInLumaSamples(), repFormat->getPicHeightVpsInLumaSamples(), activeSPS->getMaxCUWidth(), activeSPS->getMaxCUHeight(), activeSPS->getMaxCUDepth(), repFormat->getConformanceWindowVps(), defaultDisplayWindow, numReorderPics, NULL, true);
-#endif
-#else
-#if AUXILIARY_PICTURES
-      pBLPic->create( repFormat->getPicWidthVpsInLumaSamples(), repFormat->getPicHeightVpsInLumaSamples(), repFormat->getChromaFormatVpsIdc(), activeSPS->getMaxCUWidth(), activeSPS->getMaxCUHeight(), activeSPS->getMaxCUDepth(), conformanceWindow, defaultDisplayWindow, numReorderPics, NULL, true);
-#else
-      pBLPic->create( repFormat->getPicWidthVpsInLumaSamples(), repFormat->getPicHeightVpsInLumaSamples(), activeSPS->getMaxCUWidth(), activeSPS->getMaxCUHeight(), activeSPS->getMaxCUDepth(), conformanceWindow, defaultDisplayWindow, numReorderPics, NULL, true);
-#endif
 #endif
       // it is needed where the VPS is accessed through the slice
@@ -2489,9 +2478,5 @@
 
     Int  numReorderPics[MAX_TLAYER];
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
     Window &conformanceWindow = slice->getConformanceWindow();
-#else
-    Window &conformanceWindow = pcSPS->getConformanceWindow();
-#endif
     Window defaultDisplayWindow = pcSPS->getVuiParametersPresentFlag() ? pcSPS->getVuiParameters()->getDefaultDisplayWindow() : Window();
 
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1117)
@@ -2488,5 +2488,4 @@
 #endif
 
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
   Window conf = repFormat->getConformanceWindowVps();
 
@@ -2499,5 +2498,4 @@
     WRITE_UVLC( conf.getWindowBottomOffset(), "conf_win_vps_bottom_offset" );
   }
-#endif
 }
 #endif
Index: branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1116)
+++ branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1117)
@@ -1530,9 +1530,5 @@
 
     Int  numReorderPics[MAX_TLAYER];
-#if R0156_CONF_WINDOW_IN_REP_FORMAT
     Window &conformanceWindow = repFormat->getConformanceWindowVps();
-#else
-    Window &conformanceWindow = m_cSPS.getConformanceWindow();
-#endif
     Window defaultDisplayWindow = m_cSPS.getVuiParametersPresentFlag() ? m_cSPS.getVuiParameters()->getDefaultDisplayWindow() : Window();
 