Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1118)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1119)
@@ -2219,7 +2219,5 @@
 #if REPN_FORMAT_IN_VPS
 , m_updateRepFormatFlag       (false)
-#if O0096_REP_FORMAT_INDEX
 , m_updateRepFormatIndex      (0)
-#endif
 #endif
 #if SCALINGLIST_INFERRING
@@ -3704,5 +3702,5 @@
   TComVPS *vps = getVPS();
   UInt retVal, layerId = getLayerId();
-#if O0096_REP_FORMAT_INDEX
+
 #if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
@@ -3726,16 +3724,8 @@
     retVal = vps->getVpsRepFormat(sps->getUpdateRepFormatFlag() ? sps->getUpdateRepFormatIndex() : vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)))->getPicWidthVpsInLumaSamples();
   }
-#else
-  if( ( layerId == 0 ) || sps->getUpdateRepFormatFlag() )
-  {
-    retVal = sps->getPicWidthInLumaSamples();
-  }
-  else
-  {
-    retVal = vps->getVpsRepFormat( vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)) )->getPicWidthVpsInLumaSamples();
-  }
-#endif
+
   return retVal;
 }
+
 UInt TComSlice::getPicHeightInLumaSamples()
 {
@@ -3743,5 +3733,5 @@
   TComVPS *vps = getVPS();
   UInt retVal, layerId = getLayerId();
-#if O0096_REP_FORMAT_INDEX
+
 #if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
@@ -3765,16 +3755,8 @@
     retVal = vps->getVpsRepFormat(sps->getUpdateRepFormatFlag() ? sps->getUpdateRepFormatIndex() : vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)))->getPicHeightVpsInLumaSamples();
   }
-#else
-  if( ( layerId == 0 ) || sps->getUpdateRepFormatFlag() )
-  {
-    retVal = sps->getPicHeightInLumaSamples();
-  }
-  else
-  {
-    retVal = vps->getVpsRepFormat( vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)) )->getPicHeightVpsInLumaSamples();
-  }
-#endif
+
   return retVal;
 }
+
 #if AUXILIARY_PICTURES
 ChromaFormat TComSlice::getChromaFormatIdc()
@@ -3791,5 +3773,5 @@
   UInt retVal, layerId = getLayerId();
 #endif
-#if O0096_REP_FORMAT_INDEX
+
 #if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
@@ -3813,16 +3795,8 @@
     retVal = vps->getVpsRepFormat(sps->getUpdateRepFormatFlag() ? sps->getUpdateRepFormatIndex() : vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)))->getChromaFormatVpsIdc();
   }
-#else
-  if( ( layerId == 0 ) || sps->getUpdateRepFormatFlag() )
-  {
-    retVal = sps->getChromaFormatIdc();
-  }
-  else
-  {
-    retVal = vps->getVpsRepFormat( vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)) )->getChromaFormatVpsIdc();
-  }
-#endif
+
   return retVal;
 }
+
 UInt TComSlice::getBitDepthY()
 {
@@ -3830,5 +3804,5 @@
   TComVPS *vps = getVPS();
   UInt retVal, layerId = getLayerId();
-#if O0096_REP_FORMAT_INDEX
+
 #if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
@@ -3851,16 +3825,8 @@
     retVal = vps->getVpsRepFormat(sps->getUpdateRepFormatFlag() ? sps->getUpdateRepFormatIndex() : vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)))->getBitDepthVpsLuma();
   }
-#else
-  if( ( layerId == 0 ) || sps->getUpdateRepFormatFlag() )
-  {
-    retVal = sps->getBitDepthY();
-  }
-  else
-  {
-    retVal = vps->getVpsRepFormat( vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)) )->getBitDepthVpsLuma();
-  }
-#endif
+
   return retVal;
 }
+
 UInt TComSlice::getBitDepthC()
 {
@@ -3868,5 +3834,5 @@
   TComVPS *vps = getVPS();
   UInt retVal, layerId = getLayerId();
-#if O0096_REP_FORMAT_INDEX
+
 #if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
@@ -3889,20 +3855,13 @@
     retVal = vps->getVpsRepFormat(sps->getUpdateRepFormatFlag() ? sps->getUpdateRepFormatIndex() : vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)))->getBitDepthVpsChroma();
   }
-#else
-  if( ( layerId == 0 ) || sps->getUpdateRepFormatFlag() )
-  {
-    retVal = sps->getBitDepth(CHANNEL_TYPE_CHROMA);
-  }
-  else
-  {
-    retVal = vps->getVpsRepFormat( vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)) )->getBitDepthVpsChroma();
-  }
-#endif
+
   return retVal;
 }
+
 Int TComSlice::getQpBDOffsetY()
 {
   return (getBitDepthY() - 8) * 6;
 }
+
 Int TComSlice::getQpBDOffsetC()
 {
@@ -3915,5 +3874,5 @@
   TComVPS *vps = getVPS();
   UInt layerId = getLayerId();
-#if O0096_REP_FORMAT_INDEX
+
 #if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
@@ -3937,14 +3896,4 @@
     return vps->getVpsRepFormat(sps->getUpdateRepFormatFlag() ? sps->getUpdateRepFormatIndex() : vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(layerId)))->getConformanceWindowVps();
   }
-#else
-  if( ( layerId == 0 ) || sps->getUpdateRepFormatFlag() )
-  {
-    return sps->getConformanceWindow();
-  }
-  else
-  {
-    return vps->getVpsRepFormat( vps->getVpsRepFormatIdx(vps->getLayerIdxInVps(vps->getLayerIdxInVps(layerId))) )->getConformanceWindowVps();
-  }
-#endif
 }
 
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1118)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1119)
@@ -1618,8 +1618,6 @@
 #endif
 #if REPN_FORMAT_IN_VPS
-  Bool m_updateRepFormatFlag;
-#if O0096_REP_FORMAT_INDEX
+  Bool        m_updateRepFormatFlag;
   UInt        m_updateRepFormatIndex;
-#endif
 #endif
 #if SCALINGLIST_INFERRING
@@ -1794,14 +1792,12 @@
 #endif
 #if REPN_FORMAT_IN_VPS
-  Bool     getUpdateRepFormatFlag()       { return m_updateRepFormatFlag; }
-  Void     setUpdateRepFormatFlag(Bool x) { m_updateRepFormatFlag = x;    }
-#if O0096_REP_FORMAT_INDEX
-  Int      getUpdateRepFormatIndex()      { return m_updateRepFormatIndex; }
-  Void     setUpdateRepFormatIndex(UInt index)  { m_updateRepFormatIndex = index; }
-#endif
+  Bool     getUpdateRepFormatFlag()                 { return m_updateRepFormatFlag;   }
+  Void     setUpdateRepFormatFlag(Bool x)           { m_updateRepFormatFlag = x;      }
+  Int      getUpdateRepFormatIndex()                { return m_updateRepFormatIndex;  }
+  Void     setUpdateRepFormatIndex(UInt index)      { m_updateRepFormatIndex = index; }
 #endif
 #if SCALINGLIST_INFERRING
-  Bool     getInferScalingListFlag()  { return m_inferScalingListFlag;  }
-  UInt     getScalingListRefLayerId() { return m_scalingListRefLayerId; }
+  Bool     getInferScalingListFlag()                { return m_inferScalingListFlag;  }
+  UInt     getScalingListRefLayerId()               { return m_scalingListRefLayerId; }
   Void     setInferScalingListFlag( Bool flag )     { m_inferScalingListFlag = flag;     }
   Void     setScalingListRefLayerId( UInt layerId ) { m_scalingListRefLayerId = layerId; }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1118)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1119)
@@ -187,5 +187,4 @@
 #define MAX_REF_LAYERS                   7
 #endif
-#define O0096_REP_FORMAT_INDEX           1      ///< JCTVC-O0096: identify SPS rep_format() with an index into the lists of formats in VPS extension.
 #define O0096_DEFAULT_DEPENDENCY_TYPE    1      ///< JCTVC-O0096: specify default dependency type for all direct reference layers
 
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1118)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1119)
@@ -3277,5 +3277,4 @@
   if( vps->getRepFormatIdxPresentFlag() )
   {
-#if O0096_REP_FORMAT_INDEX
 #if !VPS_EXTN_UEV_CODING
     READ_CODE( 8, uiCode, "vps_num_rep_formats_minus1" );
@@ -3283,7 +3282,5 @@
     READ_UVLC( uiCode, "vps_num_rep_formats_minus1" );
 #endif
-#else
-    READ_CODE( 4, uiCode, "vps_num_rep_formats_minus1" );
-#endif
+
     vps->setVpsNumRepFormats( uiCode + 1 );
   }
@@ -3312,5 +3309,4 @@
       if( vps->getVpsNumRepFormats() > 1 )
       {
-#if O0096_REP_FORMAT_INDEX
 #if !VPS_EXTN_UEV_CODING
         READ_CODE( 8, uiCode, "vps_rep_format_idx[i]" );
@@ -3323,7 +3319,5 @@
         READ_CODE( numBits, uiCode, "vps_rep_format_idx[i]" );
 #endif
-#else
-        READ_CODE( 4, uiCode, "vps_rep_format_idx[i]" );
-#endif
+
         vps->setVpsRepFormatIdx( i, uiCode );
       }
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1118)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1119)
@@ -2321,5 +2321,4 @@
     assert( vps->getVpsNumRepFormats() > 0 && vps->getVpsNumRepFormats() <= 256 );
 
-#if O0096_REP_FORMAT_INDEX
 #if !VPS_EXTN_UEV_CODING
     WRITE_CODE( vps->getVpsNumRepFormats() - 1, 8, "vps_num_rep_formats_minus1" );
@@ -2327,7 +2326,5 @@
     WRITE_UVLC( vps->getVpsNumRepFormats() - 1, "vps_num_rep_formats_minus1" );
 #endif
-#else
-    WRITE_CODE( vps->getVpsNumRepFormats() - 1, 4, "vps_num_rep_formats_minus1" );
-#endif
+
   }
   for(i = 0; i < vps->getVpsNumRepFormats(); i++)
@@ -2343,5 +2340,4 @@
       if( vps->getVpsNumRepFormats() > 1 )
       {
-#if O0096_REP_FORMAT_INDEX
 #if !VPS_EXTN_UEV_CODING
         WRITE_CODE( vps->getVpsRepFormatIdx(i), 8, "vps_rep_format_idx[i]" );
@@ -2354,12 +2350,10 @@
         WRITE_CODE( vps->getVpsRepFormatIdx(i), numBits, "vps_rep_format_idx[i]" );
 #endif
-#else
-        WRITE_CODE( vps->getVpsRepFormatIdx(i), 4, "vps_rep_format_idx[i]" );
-#endif
-      }
-    }
-  }
-#endif
-#endif
+
+      }
+    }
+  }
+#endif
+#endif //REPN_FORMAT_IN_VPS
 
   WRITE_FLAG(vps->getMaxOneActiveRefLayerFlag(), "max_one_active_ref_layer_flag");
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1118)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncTop.cpp	(revision 1119)
@@ -1491,32 +1491,11 @@
 Void TEncTop::xInitILRP()
 {
-#if O0096_REP_FORMAT_INDEX
   RepFormat *repFormat = m_cVPS.getVpsRepFormat( m_cSPS.getUpdateRepFormatFlag() ? m_cSPS.getUpdateRepFormatIndex() : m_cVPS.getVpsRepFormatIdx( m_cVPS.getLayerIdxInVps(m_layerId) ) );
-#else
-  RepFormat *repFormat = m_cVPS.getVpsRepFormat( m_cVPS.getVpsRepFormatIdx( m_cVPS.getLayerIdxInVps(m_layerId) ) );
-#endif
   Int bitDepthY,bitDepthC,picWidth,picHeight;
 
-#if O0096_REP_FORMAT_INDEX
   bitDepthY   = repFormat->getBitDepthVpsLuma();
   bitDepthC   = repFormat->getBitDepthVpsChroma();
   picWidth    = repFormat->getPicWidthVpsInLumaSamples();
   picHeight   = repFormat->getPicHeightVpsInLumaSamples();
-#else
-  if( m_cSPS.getUpdateRepFormatFlag() )
-  {
-    bitDepthY   = m_cSPS.getBitDepthY();
-    bitDepthC   = m_cSPS.getBitDepthC();
-    picWidth    = m_cSPS.getPicWidthInLumaSamples();
-    picHeight   = m_cSPS.getPicHeightInLumaSamples();
-  }
-  else
-  {
-    bitDepthY   = repFormat->getBitDepthVpsLuma();
-    bitDepthC   = repFormat->getBitDepthVpsChroma();
-    picWidth    = repFormat->getPicWidthVpsInLumaSamples();
-    picHeight   = repFormat->getPicHeightVpsInLumaSamples();
-  }
-#endif
   
   if(m_layerId > 0)