Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1119)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.cpp	(revision 1120)
@@ -2177,7 +2177,4 @@
 , m_chromaFormatIdc           (CHROMA_420)
 , m_uiMaxTLayers              (  1)
-#if R0279_REP_FORMAT_INBL
-, m_bV1CompatibleSPSFlag      (  0)
-#endif
 // Structure
 , m_picWidthInLumaSamples     (352)
@@ -2217,4 +2214,5 @@
 , m_layerId                   ( 0 )
 , m_extensionFlag             ( false )
+, m_bV1CompatibleSPSFlag      (  0)
 #if REPN_FORMAT_IN_VPS
 , m_updateRepFormatFlag       (false)
@@ -3703,13 +3701,7 @@
   UInt retVal, layerId = getLayerId();
 
-#if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
   {
     if( layerId == 0 && vps->getNonHEVCBaseLayerFlag() )
-#else
-  if ( layerId == 0 )
-  {
-    if( vps->getAvcBaseLayerFlag() )
-#endif
     {
       retVal = vps->getVpsRepFormat(layerId)->getPicWidthVpsInLumaSamples();
@@ -3734,13 +3726,7 @@
   UInt retVal, layerId = getLayerId();
 
-#if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
   {
     if( layerId == 0 && vps->getNonHEVCBaseLayerFlag() )
-#else
-  if ( layerId == 0 )
-  {
-    if( vps->getAvcBaseLayerFlag() )
-#endif
     {
       retVal = vps->getVpsRepFormat(layerId)->getPicHeightVpsInLumaSamples();
@@ -3774,13 +3760,7 @@
 #endif
 
-#if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
   {
     if( layerId == 0 && vps->getNonHEVCBaseLayerFlag() )
-#else
-  if ( layerId == 0 )
-  {
-    if( vps->getAvcBaseLayerFlag() )
-#endif
     {
       retVal = vps->getVpsRepFormat(layerId)->getChromaFormatVpsIdc();
@@ -3805,11 +3785,6 @@
   UInt retVal, layerId = getLayerId();
 
-#if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
   {
-#else
-  if ( layerId == 0 )
-  {
-#endif
     if( layerId == 0 && vps->getNonHEVCBaseLayerFlag() )
     {
@@ -3835,11 +3810,6 @@
   UInt retVal, layerId = getLayerId();
 
-#if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
   {
-#else
-  if ( layerId == 0 )
-  {
-#endif
     if( layerId == 0 && vps->getNonHEVCBaseLayerFlag() )
     {
@@ -3875,13 +3845,7 @@
   UInt layerId = getLayerId();
 
-#if R0279_REP_FORMAT_INBL
   if ( layerId == 0 || sps->getV1CompatibleSPSFlag() == 1 )
   {
     if( layerId == 0 && vps->getNonHEVCBaseLayerFlag() )
-#else
-  if ( layerId == 0 )
-  {
-    if( vps->getAvcBaseLayerFlag() )
-#endif
     {
       return vps->getVpsRepFormat(layerId)->getConformanceWindowVps();
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1119)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1120)
@@ -1532,8 +1532,4 @@
   UInt        m_uiMaxTLayers;           // maximum number of temporal layers
 
-#if R0279_REP_FORMAT_INBL
-  Bool        m_bV1CompatibleSPSFlag;
-#endif
-
   // Structure
   UInt        m_picWidthInLumaSamples;
@@ -1612,4 +1608,5 @@
   UInt        m_layerId;
   Bool        m_extensionFlag;
+  Bool        m_bV1CompatibleSPSFlag;
   UInt        m_numScaledRefLayerOffsets;
   Bool        m_multiLayerExtSpsFlag;
@@ -1644,9 +1641,4 @@
   static Int getWinUnitX (Int chromaFormatIdc) { assert (chromaFormatIdc >= 0 && chromaFormatIdc <= MAX_CHROMA_FORMAT_IDC); return m_winUnitX[chromaFormatIdc];      }
   static Int getWinUnitY (Int chromaFormatIdc) { assert (chromaFormatIdc >= 0 && chromaFormatIdc <= MAX_CHROMA_FORMAT_IDC); return m_winUnitY[chromaFormatIdc];      }
-
-#if R0279_REP_FORMAT_INBL //These two functions shall be used / called when the syntax element sps_ext_or_max_sub_layers_minus1 and V1CompatibleSPSFlag are implemented
-  Bool getV1CompatibleSPSFlag()        {return m_bV1CompatibleSPSFlag;}
-  Void setV1CompatibleSPSFlag(Bool x)       { m_bV1CompatibleSPSFlag = x;}
-#endif
 
   // structure
@@ -1787,4 +1779,9 @@
   Bool     getMultiLayerExtSpsFlag()                { return m_multiLayerExtSpsFlag; }
   Void     setMultiLayerExtSpsFlag(Bool flag)       { m_multiLayerExtSpsFlag = flag; }
+
+  //These two functions shall be used / called when the syntax element sps_ext_or_max_sub_layers_minus1 and V1CompatibleSPSFlag are implemented
+  Bool getV1CompatibleSPSFlag()                     { return m_bV1CompatibleSPSFlag; }
+  Void setV1CompatibleSPSFlag(Bool x)               { m_bV1CompatibleSPSFlag = x;    }
+
 #if R0042_PROFILE_INDICATION
   Int      getNumDirectRefLayers()                  { return  m_NumDirectRefLayers;  }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1119)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1120)
@@ -68,5 +68,4 @@
 #define R0226_CONSTRAINT_TMVP_SEI        1      ///< JCTVC-R0226, Modification to semantics in temporal motion vector prediction constraints SEI message
 #define R0226_SLICE_TMVP                 1      ///< JCTVC-R0226, Regarding slice_temporal_mvp_enabled_flag
-#define R0279_REP_FORMAT_INBL            1      ///< JCTVC-R0279, For any independent non-base layer the used representation format is the one that is signalled in the active SPS for the layer
 #define R0227_VUI_BSP_HRD_FLAG           1      ///< JCTVC-R0227, Conformance checking such that VPS VUI HRD only present if VPS timing info is signalled
 #define R0227_REP_FORMAT_CONSTRAINT      1      ///< JCTVC-R0227, Conformance checking such that representation format of a particular layer shall not be greater than the one defined in VPS for that layer