Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1123)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 1124)
@@ -1685,4 +1685,5 @@
   ("SEIOverlayPersistenceFlag",               m_overlayInfoPersistenceFlag,              true, "Indicates if the SEI message applies to the current picture only (0) or also to following pictures (1)")
 #endif
+#if SVC_EXTENSION
 #if Q0189_TMVP_CONSTRAINTS
   ("SEITemporalMotionVectorPredictionConstraints",             m_TMVPConstraintsSEIEnabled,              0, "Control generation of TMVP constrants SEI message")
@@ -1703,7 +1704,5 @@
   ("TileSetsArray",                    cfg_tileSets,                         string(""), "Array containing tile sets params (TopLeftTileIndex, BottonRightTileIndex and ilcIdc for each set) ")
 #endif
-#if O0153_ALT_OUTPUT_LAYER_FLAG
   ("AltOutputLayerFlag",               m_altOutputLayerFlag,                      false, "Specifies the value of alt_output_layer_flag in VPS extension")
-#endif
 #if O0149_CROSS_LAYER_BLA_FLAG
   ("CrossLayerBLAFlag",                m_crossLayerBLAFlag,                       false, "Specifies the value of cross_layer_bla_flag in VPS")
@@ -1724,4 +1723,5 @@
   ("InheritCodingStruct%d",m_inheritCodingStruct, 0, MAX_LAYERS, "Predicts the GOP structure of one layer for another layer")
 #endif
+#endif //SVC_EXTENSION
   ;
 
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1123)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncCfg.h	(revision 1124)
@@ -451,7 +451,5 @@
   Int       m_TMVPConstraintsSEIEnabled;
 #endif
-#if O0153_ALT_OUTPUT_LAYER_FLAG
   Bool      m_altOutputLayerFlag;                             ///< Specifies the value of alt_output_laye_flag in VPS extension
-#endif
   Int       m_elRapSliceBEnabled;
 #endif
Index: /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1123)
+++ /branches/SHM-dev/source/App/TAppEncoder/TAppEncTop.cpp	(revision 1124)
@@ -799,7 +799,5 @@
     m_acTEncTop[layer].setChromaFormatIDC                        ( m_acLayerCfg[layer].m_chromaFormatIDC );
 #endif
-#if O0153_ALT_OUTPUT_LAYER_FLAG
     m_acTEncTop[layer].setAltOuputLayerFlag                      ( m_altOutputLayerFlag );
-#endif
 #if O0149_CROSS_LAYER_BLA_FLAG
     m_acTEncTop[layer].setCrossLayerBLAFlag                      ( m_crossLayerBLAFlag );
@@ -1784,14 +1782,8 @@
 #endif
 
-#if P0300_ALT_OUTPUT_LAYER_FLAG
   for (Int k = 0; k < MAX_VPS_LAYER_SETS_PLUS1; k++)
   {
     vps->setAltOuputLayerFlag( k, m_altOutputLayerFlag );
   }
-#else
-#if O0153_ALT_OUTPUT_LAYER_FLAG
-  vps->setAltOuputLayerFlag( m_altOutputLayerFlag );
-#endif
-#endif
 
 #if VPS_VUI_BSP_HRD_PARAMS
Index: /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1123)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TComSlice.h	(revision 1124)
@@ -752,5 +752,4 @@
   Int        m_avgPicRate          [MAX_VPS_LAYER_SETS_PLUS1][MAX_TLAYER];
 
-#if P0300_ALT_OUTPUT_LAYER_FLAG
 #if Q0078_ADD_LAYER_SETS
   Bool       m_altOutputLayerFlag[MAX_VPS_LAYER_SETS_PLUS1 + 2*MAX_NUM_ADD_LAYER_SETS];
@@ -758,9 +757,5 @@
   Bool       m_altOutputLayerFlag[MAX_VPS_LAYER_SETS_PLUS1];
 #endif
-#else
-#if O0153_ALT_OUTPUT_LAYER_FLAG
-  Bool       m_altOutputLayerFlag;
-#endif
-#endif
+
 #if REPN_FORMAT_IN_VPS
   Bool       m_repFormatIdxPresentFlag;
@@ -1271,13 +1266,7 @@
 #endif
 
-#if P0300_ALT_OUTPUT_LAYER_FLAG
   Bool   getAltOuputLayerFlag(Int idx)         { return m_altOutputLayerFlag[idx]; }
   Void   setAltOuputLayerFlag(Int idx, Bool x) { m_altOutputLayerFlag[idx] = x;    }
-#else
-#if O0153_ALT_OUTPUT_LAYER_FLAG
-  Bool   getAltOuputLayerFlag()             { return m_altOutputLayerFlag; }
-  Void   setAltOuputLayerFlag(Bool x)       { m_altOutputLayerFlag = x;    }
-#endif
-#endif
+
 #if REPN_FORMAT_IN_VPS
   Bool   getRepFormatIdxPresentFlag()       { return m_repFormatIdxPresentFlag; }
Index: /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1123)
+++ /branches/SHM-dev/source/Lib/TLibCommon/TypeDef.h	(revision 1124)
@@ -190,7 +190,4 @@
 #define O0098_SCALED_REF_LAYER_ID        1      ///< JCTVC-O0098: signal scaled reference id
 
-#define O0153_ALT_OUTPUT_LAYER_FLAG      1      ///< JCTVC-O0153: alt output layer flag
-#define P0300_ALT_OUTPUT_LAYER_FLAG      1      ///< JCTVC-P0300: alt output layer flag
-
 #define Q0165_OUTPUT_LAYER_SET           1      ///< JCTVC-Q0165: add a constraint to disallow an empty output layer set
 #define Q0165_NUM_ADD_OUTPUT_LAYER_SETS  1      ///< JCTVC-Q0165: signal num_add_olss and default_target_output_layer_idc when vps_num_layer_sets_minus1 is greater than 0
Index: /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1123)
+++ /branches/SHM-dev/source/Lib/TLibDecoder/TDecCAVLC.cpp	(revision 1124)
@@ -2698,9 +2698,6 @@
 {
   UInt uiCode;
-  // ... More syntax elements to be parsed here
-#if P0300_ALT_OUTPUT_LAYER_FLAG
   Int NumOutputLayersInOutputLayerSet[MAX_VPS_LAYER_SETS_PLUS1];
   Int OlsHighestOutputLayerId[MAX_VPS_LAYER_SETS_PLUS1];
-#endif
 #if LIST_OF_PTL
   if( vps->getMaxLayers() > 1 && vps->getBaseLayerInternalFlag() )
@@ -3089,5 +3086,5 @@
     READ_CODE( numBits, uiCode, "profile_tier_level_idx[i]" );     vps->setProfileLevelTierIdx(i, uiCode);
 #endif
-#if P0300_ALT_OUTPUT_LAYER_FLAG
+
     NumOutputLayersInOutputLayerSet[i] = 0;
     for (j = 0; j < vps->getNumLayersInIdList(layerSetIdxForOutputLayerSet); j++)
@@ -3113,6 +3110,4 @@
 #if Q0165_OUTPUT_LAYER_SET
     assert( NumOutputLayersInOutputLayerSet[i]>0 );
-#endif
-
 #endif
   }
@@ -3210,14 +3205,4 @@
     READ_CODE( numBits, uiCode, "profile_level_tier_idx[i]" );     vps->setProfileLevelTierIdx(i, uiCode);
   }
-#endif
-
-#if !P0300_ALT_OUTPUT_LAYER_FLAG
-#if O0153_ALT_OUTPUT_LAYER_FLAG
-  if( vps->getMaxLayers() > 1 )
-  {
-    READ_FLAG( uiCode, "alt_output_layer_flag");
-    vps->setAltOuputLayerFlag( uiCode ? true : false );
-  }
-#endif
 #endif
 
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1123)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCavlc.cpp	(revision 1124)
@@ -1988,9 +1988,6 @@
 Void TEncCavlc::codeVPSExtension (TComVPS *vps)
 {
-  // ... More syntax elements to be written here
-#if P0300_ALT_OUTPUT_LAYER_FLAG
   Int NumOutputLayersInOutputLayerSet[MAX_VPS_LAYER_SETS_PLUS1];
   Int OlsHighestOutputLayerId[MAX_VPS_LAYER_SETS_PLUS1];
-#endif
 #if LIST_OF_PTL
   if( vps->getMaxLayers() > 1 && vps->getBaseLayerInternalFlag() )
@@ -2247,5 +2244,5 @@
     WRITE_CODE( vps->getProfileLevelTierIdx(i), numBits, "profile_level_tier_idx[i]" );     
 #endif
-#if P0300_ALT_OUTPUT_LAYER_FLAG
+
     NumOutputLayersInOutputLayerSet[i] = 0;
     for (j = 0; j < vps->getNumLayersInIdList(layerSetIdxForOutputLayerSet); j++)
@@ -2265,16 +2262,5 @@
     assert( NumOutputLayersInOutputLayerSet[i]>0 );
 #endif
-
-#endif
-  }
-
-#if !P0300_ALT_OUTPUT_LAYER_FLAG
-#if O0153_ALT_OUTPUT_LAYER_FLAG
-  if( vps->getMaxLayers() > 1 )
-  {
-    WRITE_FLAG( vps->getAltOuputLayerFlag(), "alt_output_layer_flag" );   
-  }
-#endif
-#endif
+  }
 
 #if REPN_FORMAT_IN_VPS
Index: /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h
===================================================================
--- /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1123)
+++ /branches/SHM-dev/source/Lib/TLibEncoder/TEncCfg.h	(revision 1124)
@@ -377,7 +377,5 @@
   int       m_layerSwitchOffEnd;
 #endif
-#if O0153_ALT_OUTPUT_LAYER_FLAG
   Bool      m_altOutputLayerFlag;
-#endif
 #if HIGHER_LAYER_IRAP_SKIP_FLAG
   Int       m_skipPictureAtArcSwitch;
@@ -1036,8 +1034,6 @@
   ChromaFormat getChromaFormatIDC()               { return m_chromaFormatIDC; }
 #endif
-#if O0153_ALT_OUTPUT_LAYER_FLAG
   Bool      getAltOuputLayerFlag() const { return m_altOutputLayerFlag; }
   Void      setAltOuputLayerFlag(Bool b) { m_altOutputLayerFlag = b;    }
-#endif
 #if O0149_CROSS_LAYER_BLA_FLAG
   Bool      getCrossLayerBLAFlag() const { return m_crossLayerBLAFlag; }
@@ -1179,5 +1175,5 @@
 #endif
 #endif
-#endif
+#endif //SVC_EXTENSION
 };
 