Index: /branches/SHM-dev/build/linux/common/makefile.base
===================================================================
--- /branches/SHM-dev/build/linux/common/makefile.base	(revision 1126)
+++ /branches/SHM-dev/build/linux/common/makefile.base	(revision 1127)
@@ -48,5 +48,6 @@
 # default cpp flags for all configurations
 #CPPFLAGS          = -Wall -fPIC $(DEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS)
-CPPFLAGS          = -fPIC $(DEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS) -Wall -Wshadow -Wno-sign-compare -Werror
+#CPPFLAGS          = -fPIC $(DEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS) -Wall -Wshadow -Wno-sign-compare -Werror
+CPPFLAGS          = -fPIC $(DEFS) -I$(CURDIR)/$(INC_DIR) $(USER_INC_DIRS) -Wall -Wshadow -Wno-sign-compare
 
 ########## 
Index: /branches/SHM-dev/build/vc10/TAppDecoder_vc10.vcxproj
===================================================================
--- /branches/SHM-dev/build/vc10/TAppDecoder_vc10.vcxproj	(revision 1126)
+++ /branches/SHM-dev/build/vc10/TAppDecoder_vc10.vcxproj	(revision 1127)
@@ -122,4 +122,5 @@
       <SubSystem>Console</SubSystem>
       <TargetMachine>MachineX64</TargetMachine>
+      <StackReserveSize>8000000</StackReserveSize>
     </Link>
   </ItemDefinitionGroup>
Index: /branches/SHM-dev/build/vc10/TAppDecoder_vc10.vcxproj.user
===================================================================
--- /branches/SHM-dev/build/vc10/TAppDecoder_vc10.vcxproj.user	(revision 1126)
+++ /branches/SHM-dev/build/vc10/TAppDecoder_vc10.vcxproj.user	(revision 1127)
@@ -4,8 +4,8 @@
     <LocalDebuggerWorkingDirectory>$(ProjectDir)/../../../</LocalDebuggerWorkingDirectory>
     <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
-    <LocalDebuggerCommandArguments>-b str/Bus.bin -ls 2</LocalDebuggerCommandArguments>
+    <LocalDebuggerCommandArguments>-b str/Bus.bin -lid 1</LocalDebuggerCommandArguments>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
-    <LocalDebuggerCommandArguments>-b str/Bus.bin -ls 2</LocalDebuggerCommandArguments>
+    <LocalDebuggerCommandArguments> -b conformance/ADAPTRES_A_ERICSSON_1.bit -olsidx 2</LocalDebuggerCommandArguments>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
@@ -13,3 +13,10 @@
     <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LocalDebuggerCommandArguments>-b conformance/LAYERID63_A_HHI_1.bin -lid 63</LocalDebuggerCommandArguments>
+  </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LocalDebuggerWorkingDirectory>$(ProjectDir)/../../../</LocalDebuggerWorkingDirectory>
+    <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
+  </PropertyGroup>
 </Project>
Index: /branches/SHM-dev/build/vc10/TAppEncoder_vc10.vcxproj
===================================================================
--- /branches/SHM-dev/build/vc10/TAppEncoder_vc10.vcxproj	(revision 1126)
+++ /branches/SHM-dev/build/vc10/TAppEncoder_vc10.vcxproj	(revision 1127)
@@ -103,4 +103,11 @@
       <TargetMachine>MachineX86</TargetMachine>
       <StackReserveSize>8000000</StackReserveSize>
+      <HeapReserveSize>
+      </HeapReserveSize>
+      <HeapCommitSize>
+      </HeapCommitSize>
+      <StackCommitSize>
+      </StackCommitSize>
+      <LargeAddressAware>false</LargeAddressAware>
     </Link>
   </ItemDefinitionGroup>
@@ -123,4 +130,5 @@
       <SubSystem>Console</SubSystem>
       <TargetMachine>MachineX64</TargetMachine>
+      <StackReserveSize>8000000</StackReserveSize>
     </Link>
   </ItemDefinitionGroup>
Index: /branches/SHM-dev/build/vc10/TAppEncoder_vc10.vcxproj.user
===================================================================
--- /branches/SHM-dev/build/vc10/TAppEncoder_vc10.vcxproj.user	(revision 1126)
+++ /branches/SHM-dev/build/vc10/TAppEncoder_vc10.vcxproj.user	(revision 1127)
@@ -2,5 +2,5 @@
 <Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
-    <LocalDebuggerCommandArguments>-c cfg/per-sequence-svc/Bus-2x.cfg -c cfg/encoder_randomaccess_scalable.cfg -c cfg/layers.cfg -q0 38 -q1 38 -g 8 -f 9 -b str/Bus.bin -c option.cfg </LocalDebuggerCommandArguments>
+    <LocalDebuggerCommandArguments>-c cfg/per-sequence-svc/Bus-2x.cfg -c cfg/encoder_intra_scalable.cfg -c cfg/layers.cfg -q0 38 -q1 38 -g 1 -f 2 -ip0 1 -ip1 1 -b str/Bus.bin -c option.cfg </LocalDebuggerCommandArguments>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
@@ -9,5 +9,5 @@
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
-    <LocalDebuggerCommandArguments>-c cfg/per-sequence-svc/CactusCrop-2x.cfg -c cfg/encoder_randomaccess_main.cfg -q0 30 -q1 30 -g 8 -f 17 -b str/CactusCrop.bin -c option.cfg -ibl rec/CactusCropBL-2x_rec.yuv -ibs rec/CactusCropBL-2x_syntax.bin</LocalDebuggerCommandArguments>
+    <LocalDebuggerCommandArguments>-c cfg/per-sequence-svc/Bus-2x.cfg -c cfg/encoder_randomaccess_scalable.cfg -c cfg/layers.cfg -q0 38 -q1 38 -g 8 -f 9 -b str/Bus.bin -c option.cfg </LocalDebuggerCommandArguments>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
@@ -15,3 +15,8 @@
     <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
   </PropertyGroup>
+  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
+    <LocalDebuggerCommandArguments>-c cfg/per-sequence-svc/Bus-2x.cfg -c cfg/encoder_randomaccess_scalable.cfg -c cfg/layers.cfg -q0 38 -q1 38 -g 8 -f 3 -b str/Bus.bin -c option.cfg </LocalDebuggerCommandArguments>
+    <DebuggerFlavor>WindowsLocalDebugger</DebuggerFlavor>
+    <LocalDebuggerWorkingDirectory>$(ProjectDir)/../../../</LocalDebuggerWorkingDirectory>
+  </PropertyGroup>
 </Project>
Index: /branches/SHM-dev/build/vc10/TLibEncoder_vc10.vcxproj.filters
===================================================================
--- /branches/SHM-dev/build/vc10/TLibEncoder_vc10.vcxproj.filters	(revision 1126)
+++ /branches/SHM-dev/build/vc10/TLibEncoder_vc10.vcxproj.filters	(revision 1127)
@@ -69,4 +69,7 @@
       <Filter>Source Files</Filter>
     </ClCompile>
+    <ClCompile Include="..\..\source\Lib\TLibEncoder\TEnc3DAsymLUT.cpp">
+      <Filter>Source Files</Filter>
+    </ClCompile>
   </ItemGroup>
   <ItemGroup>
@@ -137,4 +140,7 @@
       <Filter>Header Files</Filter>
     </ClInclude>
+    <ClInclude Include="..\..\source\Lib\TLibEncoder\TEnc3DAsymLUT.h">
+      <Filter>Header Files</Filter>
+    </ClInclude>
   </ItemGroup>
 </Project>